Bug 487623 - RFE: Yum needs option to display size of install on disk.
RFE: Yum needs option to display size of install on disk.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 00:00 EST by lexual
Modified: 2014-01-21 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 14:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lexual 2009-02-27 00:00:19 EST
Description of problem:
Yum needs an option to show user size of install on disk.
Currently it only shows size of download.
Presumely this number is already actually computed somewhere so that you can check there is sufficient disk space to install.


Version-Release number of selected component (if applicable):
yum-3.2.21-2.fc10.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum install foo
2.
3.
  
Actual results:
Transaction Summary
================================================================================
Install    138 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 108 M
Total download size: 83 M


Expected results:
All the above plus:
Install size: X Mb.


Additional info:
Comment 1 seth vidal 2009-02-27 12:04:19 EST
for installing new pkgs that's _mostly_ possible, but for updates it is not.

And for multilib installs the installed_size of the pkg is not the installed size in total. The installed size in total will be smaller.

finally, yum doesn't do the disk space calculation, rpm does.

If there is insufficient disk space the install won't happen, by default.

What problem is outputting this fixing?
Comment 2 James Antill 2009-03-03 16:43:05 EST
Note that there is yum-plugin-list-data, which contains list-installed-sizes command ... which is about as good as it'll get.

Going to leave this open, in case there is some underlying problem you are trying to solve ... but if it's just the data, then the above is about it.
Comment 3 lexual 2009-03-03 17:24:52 EST
https://www.redhat.com/archives/fedora-devel-list/2009-February/msg02356.html

Above is usecase where I was trying to find this information.

e.g.
"sudo yum --downloadonly --disablerepo=* --enablerepo=rawhide
--installroot=/tmp groupinstall foo"

Tells you total download size needed.
If we could be told size of install size, can compute size needed for '/' for particular installs.
Comment 4 Bug Zapper 2009-11-18 06:14:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 03:04:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 James Antill 2009-12-23 09:51:39 EST
 Just added this to upstream, it only displays the size when you are just doing installs (so any obsoletes, removals, updates or downgrades mean you don't see it). But this should solve your problem when using installroot. Example output is:

Transaction Summary
================================================================================
Install      40 Package(s)
Upgrade       0 Package(s)

Total download size: 43 M
Installed size: 225 M
Is this ok [y/N]:
Comment 7 seth vidal 2010-04-29 14:43:51 EDT
this is in yum in f12 and f13.

closing current-release.

thanks!

Note You need to log in before you can comment on or make changes to this bug.